
TYPO3.Neos - Bug # 54583

Status: Closed Priority: Should have
Author: Chr is Category:
Created: 2013-12-23 Assigned To: Daniel Lienert
Updated: 2014-10-02 Due date:
Subject: Uncaught Exception in Flow while deleting package TYPO3.NeosDemoTypo3Org
Description

During Neos installation, I imported the Demo Site TYPO3.NeosDemoTypo3Org.

After that I created a new site.

Then I deleted the Demo Site TYPO3.NeosDemoTypo3Org in "Site Management".

Then I opened "Package Management" and scrolled down the list to the very end.

There still was a package TYPO3.NeosDemoTypo3Org - so I deleted it.

This is what I got the next moment:

#########################################
Uncaught Exception in Flow
#1: Warning: Invalid argument supplied for foreach() in
/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_ExtJS_ViewHelpers_ExtDirect_ProviderViewHelper.php line 82
iderViewHelper.php line 82

TYPO3\Flow\Error\Exception thrown in file
Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Error/ErrorHandler.php in line 77.
Reference code: 20131223211117753650

Warning: Invalid argument supplied for foreach() in
/path/to/TYPO3-Neos/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_ExtJS_ViewHelpers_ExtDirect_ProviderViewHelper.php line 82
iderViewHelper.php line 82
26 TYPO3\Flow\Error\ErrorHandler::handleError(2, "Invalid argument supplied for foreach()",
"/path/to.…ExtJS_ViewHelpers_ExtDirect_ProviderViewHelper.php", 82, array|7|)

25 TYPO3\ExtJS\ViewHelpers\ExtDirect\ProviderViewHelper_Original::render(NULL)

24 call_user_func_array(array|2|, array|1|)

23 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

22 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

21
FluidCache_TYPO3_Neos_Backend_Module_action_index_10d48640e6a7f5162bca27d497169064d8fb3b51::section_1a954628a960aa
aaef81d7b2d4521929579f3541e6(TYPO3\Fluid\Core\Rendering\RenderingContext)

20 TYPO3\Fluid\View\AbstractTemplateView::renderSection("head", array|1|, FALSE)

19 TYPO3\Fluid\ViewHelpers\RenderViewHelper_Original::render("head", NULL, array|0|, FALSE)
18 call_user_func_array(array|2|, array|4|)

17 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

16 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

15
FluidCache_TYPO3_Neos_Backend_Module_layout_Default_f67b744270fc42e6c5c62d9c1a9c47f413ac4b90::render(TYPO3\Fluid\Cor
ore\Rendering\RenderingContext)

14 TYPO3\Fluid\View\AbstractTemplateView::render()

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\Flow\Http\Response)

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

6
TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO
O3\Flow\Aop\JoinPoint)

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

1 TYPO3\Flow\Core\Bootstrap::run()

History
#1 - 2014-10-02 13:36 - Daniel Lienert
- Assigned To set to Daniel Lienert

#2 - 2014-10-02 13:39 - Daniel Lienert
- Status changed from New to Resolved

Seems the bug was resolved in the meantime. Couldn't reproduce it with current master.
#3 - 2014-10-02 13:39 - Daniel Lienert
- Status changed from Resolved to Closed
